petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectName

Gives an object a name if it does not have one

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectName(PetscObject obj)

Collective Many br

### Input Parameters

obj -the Petsc variable Many brThus must be cast with a (PetscObject), for example, Many brPetscObjectName((PetscObject)mat,name); Many br

Many br

Notes: This is used in a small number of places when an object NEEDS a name, for example when it is saved to MATLAB with that variable name. Many brUse PetscObjectSetName() to set the name of an object to what you want. The SAWs viewer requires that no two published objects Many brshare the same name. Many br

Developer Note: this needs to generate the exact same string on all ranks that share the object. The current algorithm may not always work. Many br

### See Also

PetscObjectGetName(), PetscObjectSetName()

Level:developer
Location:src/sys/objects/pname.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages